Debian Bug report logs - #519800
probe FSTYPE on initramfs build for MODULES=dep

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sun, 15 Mar 2009 10:27:10 UTC

Severity: normal

Found in version initramfs-tools/0.92o

Fixed in version initramfs-tools/0.94

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#519800; Package initramfs-tools. (Sun, 15 Mar 2009 10:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sun, 15 Mar 2009 10:27:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FSTYPE=ext3 but only ext2 in ramdisk possible with MODULES=dep
Date: Sun, 15 Mar 2009 10:48:47 +0100
Package: initramfs-tools
Version: 0.92o

Silas S. Brown reported to me that his NSLU2 would not boot after
regenerating the ramdisk but that my ramdisk worked for me.  In the
end, he figured out that the problem is related to MODULES=dep.

Consider this scenario: you have an ext3 filesystem on the disk but
you change /etc/fstab to mount it as ext2 in order to reduce wear on
the USB flash drive.  When you regenerate the image, the ext2 module
will be put in the ramdisk, but when initramfs runs it will find
FSTYPE=ext3 and try to mount the disk as ext3.  This fails because
that module is not available.

I think initramfs-tools should fall-back to using ext2 if that module
is available when it finds FSTYPE=ext3.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#519800; Package initramfs-tools. (Sun, 15 Mar 2009 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sun, 15 Mar 2009 10:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 519800@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 519800@bugs.debian.org
Subject: Re: Bug#519800: Acknowledgement (FSTYPE=ext3 but only ext2 in ramdisk possible with MODULES=dep)
Date: Sun, 15 Mar 2009 11:35:55 +0100
Actually, how about running fstype when generating the ramdisk to find
out which modules you need (either in addition or instead of looking
at the output of mount/fstab).

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#519800; Package initramfs-tools. (Thu, 19 Mar 2009 10:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 519800@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 19 Mar 2009 10:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 519800@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Martin Michlmayr <tbm@cyrius.com>, 519800@bugs.debian.org
Subject: Re: Bug#519800: Acknowledgement (FSTYPE=ext3 but only ext2 in ramdisk possible with MODULES=dep)
Date: Thu, 19 Mar 2009 11:19:23 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sun, Mar 15, 2009 at 11:35:55AM +0100, Martin Michlmayr wrote:
>Actually, how about running fstype when generating the ramdisk to find
>out which modules you need (either in addition or instead of looking
>at the output of mount/fstab).

I dislike the idea of a ramdisk generator deliberately ignoring 
something I've explicitly expressed in /etc/fstab.


  - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEUEARECAAYFAknCHCsACgkQn7DbMsAkQLiMPACUCS87zevdyT0Y8iIPMNnc6LXB
VwCfdzBU9RBPepw6wB7WZ90DpQQAWVo=
=RA4P
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#519800; Package initramfs-tools. (Thu, 19 Mar 2009 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 19 Mar 2009 10:33:10 GMT) Full text and rfc822 format available.

Message #20 received at 519800@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 519800@bugs.debian.org
Subject: Re: Bug#519800: Acknowledgement (FSTYPE=ext3 but only ext2 in ramdisk possible with MODULES=dep)
Date: Thu, 19 Mar 2009 11:30:40 +0100
* Jonas Smedegaard <dr@jones.dk> [2009-03-19 11:19]:
> >Actually, how about running fstype when generating the ramdisk to find
> >out which modules you need (either in addition or instead of looking
> >at the output of mount/fstab).
> 
> I dislike the idea of a ramdisk generator deliberately ignoring 
> something I've explicitly expressed in /etc/fstab.

Well, then look at fstype in addition to the output of mount/fstab.
The point is that the system won't boot if you only look at the output
of mount/fstab.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#519800; Package initramfs-tools. (Thu, 19 Mar 2009 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 19 Mar 2009 11:12:03 GMT) Full text and rfc822 format available.

Message #25 received at 519800@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Martin Michlmayr <tbm@cyrius.com>, 519800@bugs.debian.org
Subject: Re: Bug#519800: Acknowledgement (FSTYPE=ext3 but only ext2 in ramdisk possible with MODULES=dep)
Date: Thu, 19 Mar 2009 12:08:42 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Thu, Mar 19, 2009 at 11:30:40AM +0100, Martin Michlmayr wrote:
>* Jonas Smedegaard <dr@jones.dk> [2009-03-19 11:19]:
>> >Actually, how about running fstype when generating the ramdisk to 
>> >find out which modules you need (either in addition or instead of 
>> >looking at the output of mount/fstab).
>> 
>> I dislike the idea of a ramdisk generator deliberately ignoring 
>> something I've explicitly expressed in /etc/fstab.
>
>Well, then look at fstype in addition to the output of mount/fstab. The 
>point is that the system won't boot if you only look at the output of 
>mount/fstab.

Fine with me. My comment was driven by your "or instead of" alone :-)


  - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknCJ7oACgkQn7DbMsAkQLiX+ACcCiDTvGNXVQ/Lspd6yojhMT7Z
CbAAnRDDw7u51JhDH2b00hKWW3f8AC41
=L0v5
-----END PGP SIGNATURE-----




Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Fri, 26 Mar 2010 19:54:29 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Fri, 26 Mar 2010 19:54:29 GMT) Full text and rfc822 format available.

Message #30 received at 519800-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 519800-done@bugs.debian.org
Subject: Re: FSTYPE=ext3 but only ext2 in ramdisk possible with MODULES=dep
Date: Fri, 26 Mar 2010 20:43:17 +0100
it is not enough to change fstab. you really have also to change
the on disc format:
tune2fs -O ^has_journal /dev/XXXX

another workaround is to put ext3 in the /etc/initramfs-tools/modules,
but in the case that you really want ext2 you need to fix on disc
super block.






Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Mar 2010 13:57:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'probe FSTYPE on initramfs build for MODULES=dep' from 'FSTYPE=ext3 but only ext2 in ramdisk possible with MODULES=dep' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Sun, 28 Mar 2010 14:12:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Sun, 28 Mar 2010 14:12:15 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Apr 2010 22:18:28 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Mon, 05 Apr 2010 22:18:28 GMT) Full text and rfc822 format available.

Message #41 received at 519800-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 519800-close@bugs.debian.org
Subject: Bug#519800: fixed in initramfs-tools 0.94
Date: Mon, 05 Apr 2010 22:12:52 +0000
Source: initramfs-tools
Source-Version: 0.94

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.94.dsc
  to main/i/initramfs-tools/initramfs-tools_0.94.dsc
initramfs-tools_0.94.tar.gz
  to main/i/initramfs-tools/initramfs-tools_0.94.tar.gz
initramfs-tools_0.94_all.deb
  to main/i/initramfs-tools/initramfs-tools_0.94_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 519800@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 05 Apr 2010 05:25:48 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.94
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 415474 433708 465760 487409 506533 519800 523735 524534 525606 533903 534201 535008 536195 541864 543568 545728 547365 548711 554873 559535 559619 560266 561289 562561 565386 565416 567065 567189 568527 569033 570678 572858 573761 574553 575154 575157 576429
Changes: 
 initramfs-tools (0.94) unstable; urgency=low
 .
   * The "Litte Bang" release
 .
   [ maximilian attems ]
   * Nuke kernelextras hooks.
   * Create a klibc hook script.
   * Redefinde MODULES=most to not carry any fb driver per default.
   * Nuke framebuffer boot script.
   * Revert "hook-functions: Add hid_* modules."
   * Move busybox addition to a hook script.
   * mkinitramfs fix comment.
   * hook-functions: Fix mounted /sys check for openvz container.
   * initramfs-tools.8: fix boot example script to execute.
     scripts/functions. (closes: #545728)
   * Fix out-of-date-standards-version.
   * /etc/kernel hook script support for make deb-pkg generated linux-images
     and kernel-package. (closes: #523735, #561289)
   * update-initramfs: allow -t takeover on delete.
   * /etc/kernel/postrm.d/i-t: use now takeover on delete.
     (closes: #524534, #547365, #559619)
   * Nuke useless unused dir.
   * kernel hook scripts: Fix typo, add comments.
   * hook-funcitions: Only warn about missing firmware if /proc/modules
     exists. (closes: #560266, #575154)
   * mkinitramfs: Be opportunistic when calling modprobe thus showing
     errors. (closes: #554873)
   * copy_exec: Check if ldd is around.
   * scripts/local: Use blkid as backup fstype detection. (closes: #568527)
   * mkinitramfs: only copy modprobe conf files. (closes: #506533)
   * blacklist earlier at init-top stage.
   * scripts/local: fix blkid invocation.
   * init: export and unset BOOTIF.
   * init: rexport resume to reallow it's hardcoded usage. (closes: #572858)
   * update-initramfs: -d delete .bak file. (closes: #559535)
   * control: bump standards version without changes.
   * control: Clean up Uploaders field.
   * switch from cdbs to debhelper 7.
   * update-initramfs: Stop second guessing lilo usage. (closes: #574553)
   * mkinitramfs: allow to build initramfs for unmodular linux images.
     (closes: #415474, #433708)
   * initramfs.conf.5: document UMASK variable for sensitive initramfs.
     (closes: #536195)
   * update-initramfs: only run elilo if configured. (closes: #534201)
   * update-initramfs: fix previous elilo commit.
   * MODULES=DEP Use driver/module syfs attribute. (closes: #567189)
   * panic: quote variable.
   * MODULES=DEP: Check rootfs on mkinitramfs. (closes: #519800)
   * Use ata_generic driver on all_generic_ide bootarg
   * scripts/functions: add get_fstype() from scripts/local. (closes: #487409)
   * mkinitramfs.8: update date.
   * Keep acpi modules in initramfs so that udev can load them early.
   * mkinitramfs: no longer copy depmod.
   * init: Silence "Loading essential drivers..." on quiet boot.
   * hook-functions: Add btrfs to base modules.
   * init: export BOOT for casper and friends.
   * hooks/klibc: Keep gzip in initramfs.
   * modernize docs to todays standards.
   * examples: shipp old framebuffer boot script.
   * initramfs.conf.5, update-initramfs.conf.5: Add FILES section.
     (closes: #565386)
   * mkinitramfs: be silent if no modules.map was generated in first place.
   * debian/control: Add a breaks cryptsetup.
 .
   [ Tormod Volden ]
   * blacklist boot hook write to /etc/modprobe.d/initramfs.conf.
     (closes: #541864)
 .
   [ Michael Prokop ]
   * Fix path to nfsroot.txt in documentation.
   * hook-functions: Avoid firmware copy error. (closes: #570678)
 .
   [ Joey Hess ]
   * scripts/local: avoid mount -t unknown. (closes: #567065)
 .
   [ Avi Rozen ]
   * mkinitramfs: add all usb storage devices. (closes: #543568)
 .
   [ Ferenc Wagner ]
   * initramfs-tools: make the panic argument available in the rescue
     shell. (closes: #569033)
 .
   [ Maximilian Gass ]
   * mkinitramfs: KEYMAP option fails to work due to missing keymap.
     (closes: #565416)
 .
   [ Vagrant Cascadian ]
   * configure_networking: support BOOTIF variable set by pxelinux.
     (closes: #535008)
 .
   [ Ben Hutchings ]
   * copy_modules_dir: Take a list of exclusions after the base directory.
   * auto_add_modules: Copy all modules from net, excluding some
     subdirectories.
 .
   [ Scott James Remnant ]
   * init: Mount devtmpfs on /dev.
   * mkinitramfs: Call depmod before packing the initramfs.
     (closes: #465760, #562561)
   * init: load the netconsole module with netconsole bootarg
   * init: mount /dev/pts as well as /dev.
 .
   [ Ben Collins ]
   * update-initramfs: Default to not keep .bak backups.
 .
   [ Piotr Lewandowski ]
   * update-initramfs breaks if /etc/mtab is a symlink to /proc/mounts.
     (closes: #525606)
 .
   [ Martin Michlmayr ]
   * MODULES=dep fix boot with MMC. (closes: #548711)
 .
   [ Nikolaus Schulz ]
   * hook-functions: let dep_add_modules() recurse into lvm slave devices.
     (closes: 573761)
 .
   [ Anna Jonna Armannsdottir ]
   * configure_networking: Try repeatedly ipconfig with increasing
     timeout.
 .
   [ Colin Watson ]
   * mkinitramfs: Filter out looping or broken symlinks from the
     initramfs. (closes: #575157)
   * mkinitramfs: set initramfs root to 755.
 .
   [ Bert Schulze ]
   * initramfs-tools: support different compression tools in mkinitramfs.
     (closes: #533903)
   * mkinitramfs: -c compression support / commandline override.
     (closes: #576429)
Checksums-Sha1: 
 5afd5d57aa19a5c0209eaecc9b1b1f9465753318 922 initramfs-tools_0.94.dsc
 509fb16736997ecba36f641127ceab5bea18f68d 71586 initramfs-tools_0.94.tar.gz
 02aca8c6e29acf625100c1551faf1dbc5b4a17d0 78974 initramfs-tools_0.94_all.deb
Checksums-Sha256: 
 aee9a553dd3844532c464d9f649cbff02928568d037415dc8126bb6591e2b817 922 initramfs-tools_0.94.dsc
 25580b8f761e154cfa4efe6d4657b69b8a6403f7097dcfe2d50c2e64cc6f4e9b 71586 initramfs-tools_0.94.tar.gz
 a8abc65bdbf74bedb0bb77a8079d34b0b0ef8b41adde923e4748a673af770f3c 78974 initramfs-tools_0.94_all.deb
Files: 
 c1dbcaa6efb98082c45257309ba20312 922 utils optional initramfs-tools_0.94.dsc
 0295a063638ef0e44a38ef9fa3d7f93f 71586 utils optional initramfs-tools_0.94.tar.gz
 c66b55ac5c3d7e19cb57057489defa1d 78974 utils optional initramfs-tools_0.94_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAku6RlIACgkQeW7Lc5tEHqh9MgCaAwfEx8qpBHws+lusrsXjVDTP
OTMAmwU4vowqNyQHgtoTdNywtdHts2q5
=MCMB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Jun 2010 07:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:11:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.